# Method: albums.batchRemoveMediaItems

- [HTTP request](https://developers.google.com/photos/library/reference/rest/v1/albums/batchRemoveMediaItems#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/photos/library/reference/rest/v1/albums/batchRemoveMediaItems#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/photos/library/reference/rest/v1/albums/batchRemoveMediaItems#body.request_body)
  - [JSON representation](https://developers.google.com/photos/library/reference/rest/v1/albums/batchRemoveMediaItems#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/photos/library/reference/rest/v1/albums/batchRemoveMediaItems#body.response_body)
- [Authorization scopes](https://developers.google.com/photos/library/reference/rest/v1/albums/batchRemoveMediaItems#body.aspect)
- [Try it!](https://developers.google.com/photos/library/reference/rest/v1/albums/batchRemoveMediaItems#try-it)

Removes one or more app created media items from a specified app created album. The media items and the album must have been created by the developer via the API.

Partial success is not supported. The entire request will fail and no action will be performed on the album if an invalid media item or album is specified.

### HTTP request

`POST https://photoslibrary.googleapis.com/v1/albums/{albumId}:batchRemoveMediaItems`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `albumId` | `string` Required. Identifier of the `https://developers.google.com/photos/library/reference/rest/v1/albums#Album` that the media items are to be removed from. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "mediaItemIds": [ string ] } ``` |

| Fields ||
|---|---|
| `mediaItemIds[]` | `string` Required. Identifiers of the `https://developers.google.com/photos/library/reference/rest/v1/mediaItems#MediaItem`s to be removed. Must not contain repeated identifiers and cannot be empty. The maximum number of media items that can be removed in one call is 50. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires one of the following OAuth scopes:

- `
  https://www.googleapis.com/auth/photoslibrary.edit.appcreateddata`